
**Neos and Flow are open-source software built by a global community to create an innovative Content Application Platform. Everyone is welcome to contribute to the community and has the possibility to influence the project.**

Please be considerate of our [code of conduct](https://www.neos.io/about/code-of-conduct.html)! We like to provide a positive and enjoyable environment for everybody.

Do you want to get a certain improvement in Neos or Flow? Did you find a problem? Do you want to help translate, promote or document the products?

Become part of the Neos project community and help us build a content management system with a great user experience!

----------

# How to participate

The development of the project is structured in an agile way. You can found more details about the current teams on the official Neos website. You can join one of those team or decide to simply send a single or irregular contributions. All contributions are welcome.
Our [Code contribution guidline](https://discuss.neos.io/t/code-contribution-guideline/503) might also be helpful to start with.

## You are a design or UX expert?

The Neos project is focused on providing first class UX for our products. Help out with Neos CMS user interaction design or graphic design! Get in touch using our [Design & UX](https://discuss.neos.io/c/creating/design-ux) discussion forum.

## You are a Content Strategist?

We love content, so we try to solve today's (and tomorrows's!) problems in producing, curating and managing content. Input from you as a content strategist help us to reach our goal. Contact us hello@neos.io to see how we can collaborate.

## You are a coder? Backend, frontend or both?

### Our stack

We spend our time on the following tools, you should have a good understanding of this tooling.

- PHP 7.0
- MySQL / PostgreSQL
- EmberJS (used for the current UI)
- React (used for the UI rewrite currently being done)
- Git

You can find us on [Github](https://github.com/neos) and we use it as our main issue tracker as well.

### Related resources

- [Development setup](https://discuss.neos.io/t/development-setup/504)

## You have skills in marketing, branding or product strategy?

The Neos project is responsible for the Neos brand and we manage two product Neos CMS, our content application platform, and Flow Framework, a modern PHP based framework designed to support Neos or any complex PHP application.

We are currently in the process to create the identity for the Neos brand. If you have skills in this area your are highly welcome, just ping us to have more information on the current status of the branding project.

## You have other skills that you think can be useful for the community?

Who knows, some of your skills are not in this list, but can be really useful for the community. You are a project manager, an event organizer, a brewer, a team builder and yoga trainer and you want to support an open source community, connect with us: **hello@neos.io** 

We certainly have a something that matches your dream job and where you can help the project.

## Test

Your are an end user, enthusiast developer and you have some hours to help the community? Let's see how you can setup Neos, test the product and report issue to the community.

### Our stack

We spend our time on the following tools, you should have a good understanding of this tooling.

- PHPunit (unit and functional testing)
- Behat (functional testing)
- GIT 

You can find us on [Github](https://github.com/neos) and we also use it as our main issue tracker.

### Related resources

- *TODO* How to setup your testing environment?

## Translate and document

You can contribute to the translation process, by creating an account at [Crowdin](https://crowdin.com/project/neos).

On a regularly basis we synchronize the translation from Crowdin to our Git repositories (internally XLIFF is used for storing translations). See the [description of the translation process](https://www.neos.io/contribute/translating-neos.html) on our website for details.

## You have some knowledge, try to help other

Answer questions about the products use and development.

- Join our community discussion on [discuss.neos.io](https://discuss.neos.io)
- Meet us on Slack [slack.neos.io](http://slack.neos.io)

# Support the Neos Project development with bounties

The Neos project is in the process of founding a legal body. Until then it is not possible to directly donate to the Neos project. For the time being Sandstorm Media has therefore agreed with the Neos team to sell Neos supporter badges and use all revenues to support the Neos project. [Check our donations page](https://www.neos.io/contribute/donating-to-neos.html)

# Thanks for helping Neos CMS and Flow Framework

If you have any questions, [we are happy to help you](https://www.neos.io/contact).
